#pragma once

#ifndef EMISSIVE_H
#define EMISSIVE_H

#include "Material.h"
class Emissive : public Material
{
public:
	Emissive() : Material{} {
		baseColor = glm::vec3(1.0f);
		type = "emissive";
	}
	Emissive(glm::vec3 color) : Material{} {
		baseColor = color;
		type = "emissive";
	}

	ray scatter(ray incident, glm::vec3 norm, glm::vec3 pt);
};

#endif