#ifndef IMPLICIT_H
#define IMPLICIT_H

class implicit {

  public:
	implicit() : centerX(0), centerY(0), radi1(1), radi2(2) {}
	implicit(float inX, float inY, float inRad) : centerX(inX), centerY(inY), radi1(inRad), radi2(inRad) {}
	implicit(float inX, float inY, float R1, float R2) : centerX(inX), 			centerY(inY), radi1(R1), radi2(R2) {}

	float eval(float x, float y) const; 

  public:
	float centerX, centerY;
	float radi1, radi2;
};

float implicit::eval(float x, float y) const {
	return ( ((centerX-x)*(centerX-x))/(radi1*radi1) + 
				((centerY-y)*(centerY-y))/(radi2*radi2) - 1.0f);
}

#endif
