#include "Lambert.h"

ray Lambert::scatter(ray incident, glm::vec3 norm, glm::vec3 pt) {
	//norm.normalize();
	norm = glm::normalize(norm);

	//generate random point, test if in unit sphere on surface
	bool inSphere = false;
	float x = 0.0f;
	float y = 0.0f;
	float z = 0.0f;

	while (!inSphere) {
		x = ((float)rand() / RAND_MAX) * 2.0f - 1.0f;
		y = ((float)rand() / RAND_MAX) * 2.0f - 1.0f;
		z = ((float)rand() / RAND_MAX) * 2.0f - 1.0f;
		if (pow(x, 2) + pow(y, 2) + pow(z, 2) <= 1)
			inSphere = true;
	}
	//cout << "lambert scattered" << endl;

	glm::vec3 dir = glm::vec3(x, y, z);
	dir += norm;
	ray retRay = ray(pt, dir);
	//cout << "what" << endl;
	return retRay;
}