#include<limits>

#include "Plane.h"

float Plane::hit(ray& r) {
	float dist = mag;
	//cout << dist << endl;
	float t = numeric_limits<float>::max();
	float denom = glm::dot(norm, r.getDir());//norm.dot(r.getDir());
	if (abs(denom) > 0.00001f) {
		float eDotN = glm::dot(r.getPos(), norm);//r.getPos().dot(norm);
		//glm::vec3 p = (norm * dist) - r.getPos();
		float test = (dist - eDotN) / denom;
		//float test = glm::dot(p, norm) / denom;
		if (test > 0)
			t = test;
	}
	return t;

}